### Enumeration

# Qmi PbmEmergencyNumberFlags

since: 1.38

#### Declaration

    flags Qmi.PbmEmergencyNumberFlags

#### Description [src]

Flags for emergency numbers.

Available since: 1.38

#### Members

`QMI_PBM_EMERGENCY_NUMBER_FLAG_POLICE`

  The number may be used to reach police.

  - Value: `1`
  - Available since: 1.38
`QMI_PBM_EMERGENCY_NUMBER_FLAG_AMBULANCE`

  The number may be used to reach ambulance services.

  - Value: `2`
  - Available since: 1.38
`QMI_PBM_EMERGENCY_NUMBER_FLAG_FIRE_BRIGADE`

  The number may be used to reach the fire brigade.

  - Value: `4`
  - Available since: 1.38
`QMI_PBM_EMERGENCY_NUMBER_FLAG_MARINE_GUARD`

  The number may be used to reach marine guard.

  - Value: `8`
  - Available since: 1.38
`QMI_PBM_EMERGENCY_NUMBER_FLAG_MOUNTAIN_RESCUE`

  The number may be used to reach mountain rescue.

  - Value: `16`
  - Available since: 1.38
`QMI_PBM_EMERGENCY_NUMBER_FLAG_MANUAL_ECALL`

  The number may be used for manual emergency calls.

  - Value: `32`
  - Available since: 1.38
`QMI_PBM_EMERGENCY_NUMBER_FLAG_AUTOMATIC_ECALL`

  The number may be used for automatic emergency calls.

  - Value: `64`
  - Available since: 1.38
`QMI_PBM_EMERGENCY_NUMBER_FLAG_SPARE`

  The number is a spare.

  - Value: `128`
  - Available since: 1.38

#### Type functions

###### qmi_pbm_emergency_number_flags_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiPbmEmergencyNumberFlags` in `mask`.

since: 1.38